$triangleWidth: 25px;
$triangleHeight: 12px;

button, .button, input[type="button"], input[type="submit"] {
    position: relative;
    display: inline-block;

    user-select: none;
    appearance: none;

    outline: none;
    border: none;
    border-radius: 0;

    padding: ($buildingUnit * 0.75) ($buildingUnit * 2.5);

    * + & {
       margin-right: $buildingUnit;
       margin-bottom: $buildingUnit;
   }

    @extend %fontSecondary;
    @include font-line-ratio(sec-xs);

    color: $colorWhite;
    background-color: $colorButton;
    cursor: pointer;

    @include micro-animate(color, background-color, border-color);

    &:hover {
        color: $colorWhite;
        background-color: $colorButtonHover;
        outline:0;
    }
    &:focus {
        @extend %focus;
    }

    @include min-tablet() {
        @include font-line-ratio(sec-s);
        padding-top: $buildingUnit; padding-bottom: $buildingUnit;
    }
}

.button--primary {
    &:before {
        content: '';
        position:absolute;
        top: 0; right: -$triangleWidth;

        border-style: solid;
        border-width: 0 $triangleWidth $triangleHeight 0;
        border-color: transparent transparent $colorMain transparent;

        @include micro-animate(border-color);
    }

    &:after {
        content: '';
        position: absolute;
        top: $triangleHeight; right: -$triangleWidth;
        bottom: 0;
        width: $triangleWidth;
        background-color: inherit;
    }

    padding-right: $buildingUnit * 2.5 - $triangleWidth;

    * + & {
        margin-right: $triangleWidth + $buildingUnit;
        margin-bottom: $buildingUnit * 3;
    }

    @include min-tablet {
        margin-bottom: $buildingUnit * 4;
    }
    &:hover, &:focus {
        &:before {
            border-color: transparent transparent lighten($colorButton, $tintHoverFocus) transparent;
        }
    }
}

.button--secondary {
    background: transparent;
    border: 2px solid $colorMain;
    padding-top:  ($buildingUnit * 0.75) - 2;
    padding-bottom:  ($buildingUnit * 0.75) - 2;
    color: $colorMain;

    @include min-tablet() {
        padding-top: $buildingUnit - 2; padding-bottom: $buildingUnit - 2;
    }
    &:hover, &:focus {
        border: 2px solid transparent;
    }
}

.button--close {
    position: absolute;
    top:0;
    right: 0;
}
